cURL
curl --request GET \
--url https://firstpromoter.com/api/v1/promoters/show \
--header 'X-API-KEY: <api-key>'import requests
url = "https://firstpromoter.com/api/v1/promoters/show"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://firstpromoter.com/api/v1/promoters/show', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://firstpromoter.com/api/v1/promoters/show",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://firstpromoter.com/api/v1/promoters/show"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://firstpromoter.com/api/v1/promoters/show")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://firstpromoter.com/api/v1/promoters/show")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"status": "approved",
"cust_id": "<string>",
"email": "<string>",
"created_at": "<string>",
"temp_password": "<string>",
"default_promotion_id": 128833,
"pref": "<string>",
"default_ref_id": "<string>",
"note": "<string>",
"w8_form_url": "<string>",
"w9_form_url": "<string>",
"parent_promoter_id": "<string>",
"earnings_balance": {
"cash": 3000,
"credits": 300,
"discount_per": 30
},
"current_balance": {
"cash": 1000,
"credits": 200,
"discount_per": 15
},
"paid_balance": {
"cash": 2000,
"credits": 100,
"discount_per": 15
},
"auth_token": "<string>",
"profile": {
"first_name": "<string>",
"last_name": "<string>",
"website": "<string>",
"company_name": "<string>",
"phone_number": "<string>",
"address": "<string>",
"vat_id": "<string>",
"country": "<string>",
"paypal_email": "<string>",
"avatar_url": "<string>",
"description": "<string>",
"social_accounts": {
"twitter": {
"url": "<string>"
},
"youtube": {
"url": "<string>"
},
"facebook": {
"url": "<string>"
},
"linkedin": {
"url": "<string>"
},
"instagram": {
"url": "<string>"
}
}
},
"promotions": [
{
"id": 123,
"status": "<string>",
"ref_id": "<string>",
"promo_code": "<string>",
"customer_promo_code": "<string>",
"target_reached_at": {},
"promoter_id": 123,
"campaign_id": 123,
"referral_link": "<string>",
"current_offer": {
"id": 123,
"name": "<string>",
"amount": 123,
"unit": "<string>",
"default_promo_code": "<string>"
},
"current_referral_reward": {
"id": 123,
"amount": 123,
"unit": "<string>",
"name": "<string>",
"per_of_sale": 123,
"default_promo_code": "<string>"
},
"current_promotion_reward": {},
"current_target_reward": {},
"campaign_name": "<string>",
"hidden": true,
"visitors_count": 123,
"leads_count": 123,
"customers_count": 123,
"refunds_count": 123,
"cancellations_count": 123,
"sales_count": 123,
"sales_total": 123,
"refunds_total": 123,
"active_customers_count": 123
}
],
"custom_fields": {},
"promo_codes": [
{
"id": 123,
"code": "<string>",
"reward": {
"id": 123,
"name": "<string>"
}
}
]
}"Bad credentials"{
"error": "Promoter not found."
}{
"error": "You need to find the promoter either by id, cust_id, auth_token, ref_id, promoter_email or promo_code"
}Promoters
Show promoter details and balance
You can identify promoters by: id , cust_id , auth_token , promoter_email or ref_id(referral id). You need to pass at least one of these parameters.
HTTP Request
GET https://firstpromoter.com/api/v1/promoters/showGET
/
show
cURL
curl --request GET \
--url https://firstpromoter.com/api/v1/promoters/show \
--header 'X-API-KEY: <api-key>'import requests
url = "https://firstpromoter.com/api/v1/promoters/show"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://firstpromoter.com/api/v1/promoters/show', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://firstpromoter.com/api/v1/promoters/show",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://firstpromoter.com/api/v1/promoters/show"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://firstpromoter.com/api/v1/promoters/show")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://firstpromoter.com/api/v1/promoters/show")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"status": "approved",
"cust_id": "<string>",
"email": "<string>",
"created_at": "<string>",
"temp_password": "<string>",
"default_promotion_id": 128833,
"pref": "<string>",
"default_ref_id": "<string>",
"note": "<string>",
"w8_form_url": "<string>",
"w9_form_url": "<string>",
"parent_promoter_id": "<string>",
"earnings_balance": {
"cash": 3000,
"credits": 300,
"discount_per": 30
},
"current_balance": {
"cash": 1000,
"credits": 200,
"discount_per": 15
},
"paid_balance": {
"cash": 2000,
"credits": 100,
"discount_per": 15
},
"auth_token": "<string>",
"profile": {
"first_name": "<string>",
"last_name": "<string>",
"website": "<string>",
"company_name": "<string>",
"phone_number": "<string>",
"address": "<string>",
"vat_id": "<string>",
"country": "<string>",
"paypal_email": "<string>",
"avatar_url": "<string>",
"description": "<string>",
"social_accounts": {
"twitter": {
"url": "<string>"
},
"youtube": {
"url": "<string>"
},
"facebook": {
"url": "<string>"
},
"linkedin": {
"url": "<string>"
},
"instagram": {
"url": "<string>"
}
}
},
"promotions": [
{
"id": 123,
"status": "<string>",
"ref_id": "<string>",
"promo_code": "<string>",
"customer_promo_code": "<string>",
"target_reached_at": {},
"promoter_id": 123,
"campaign_id": 123,
"referral_link": "<string>",
"current_offer": {
"id": 123,
"name": "<string>",
"amount": 123,
"unit": "<string>",
"default_promo_code": "<string>"
},
"current_referral_reward": {
"id": 123,
"amount": 123,
"unit": "<string>",
"name": "<string>",
"per_of_sale": 123,
"default_promo_code": "<string>"
},
"current_promotion_reward": {},
"current_target_reward": {},
"campaign_name": "<string>",
"hidden": true,
"visitors_count": 123,
"leads_count": 123,
"customers_count": 123,
"refunds_count": 123,
"cancellations_count": 123,
"sales_count": 123,
"sales_total": 123,
"refunds_total": 123,
"active_customers_count": 123
}
],
"custom_fields": {},
"promo_codes": [
{
"id": 123,
"code": "<string>",
"reward": {
"id": 123,
"name": "<string>"
}
}
]
}"Bad credentials"{
"error": "Promoter not found."
}{
"error": "You need to find the promoter either by id, cust_id, auth_token, ref_id, promoter_email or promo_code"
}Query Parameters
Response
Show promoters response